/**************************************************************/
/* ********************************************************** */
/* *                                                        * */
/* *         EXTENDED TUPLE KNUTH BENDIX ORDERING           * */
/* *                                                        * */
/* *  $Module:   KBO3                                       * */ 
/* *                                                        * */
/* *  Copyright (C) 2007 MPI fuer Informatik                * */
/* *                                                        * */
/* *  This program is free software; you can redistribute   * */
/* *  it and/or modify it under the terms of the GNU        * */
/* *  General Public License as published by the Free       * */
/* *  Software Foundation; either version 2 of the License, * */
/* *  or (at your option) any later version.                * */
/* *                                                        * */
/* *  This program is distributed in the hope that it will  * */
/* *  be useful, but WITHOUT ANY WARRANTY; without even     * */
/* *  the implied warranty of MERCHANTABILITY or FITNESS    * */
/* *  FOR A PARTICULAR PURPOSE.  See the GNU General Public * */
/* *  License for more details.                             * */
/* *                                                        * */
/* *  You should have received a copy of the GNU General    * */
/* *  Public License along with this program; if not, write * */
/* *  to the Free Software Foundation, Inc., 59 Temple      * */
/* *  Place, Suite 330, Boston, MA  02111-1307  USA         * */
/* *                                                        * */
/* *                                                        * */
/* $Revision: 0.50 $                                        * */
/* $State: Exp $                                            * */
/* $Date: 2007/06/07 16:28:17 $                             * */
/* $Author: uwe $                                           * */
/* *                                                        * */
/* *             Contact:                                   * */
/* *             Christoph Weidenbach                       * */
/* *             MPI fuer Informatik                        * */
/* *             Stuhlsatzenhausweg 85                      * */
/* *             66123 Saarbruecken                         * */
/* *             Email: weidenb@mpi-sb.mpg.de               * */
/* *             Germany                                    * */
/* *                                                        * */
/* ********************************************************** */
/**************************************************************/


/* $RCSfile: kbo3.h,v $ */

#ifndef _KBO3_
#define _KBO3_

/**************************************************************/
/* Includes                                                   */
/**************************************************************/

#include "term.h"
#include "context.h"
#include "foldfg.h"
#include "order.h"

/**************************************************************/
/*  FUNCTIONS                                                 */
/**************************************************************/

ord_RESULT kbo3_Compare(TERM, TERM);
ord_RESULT kbo3_ContCompare(CONTEXT, TERM, CONTEXT, TERM); 
BOOL       kbo3_ContGreater(CONTEXT, TERM, CONTEXT, TERM);

#endif
